# Uses of Class
com.github.lgooddatepicker.components.DatePickerSettings

Packages that use DatePickerSettings
Package
Description
com.github.lgooddatepicker.components
com.github.lgooddatepicker.tableeditors

## Uses of DatePickerSettings in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return DatePickerSettings
Modifier and Type
Method
Description
`DatePickerSettings`
DatePickerSettings.`copySettings()`
copySettings, This function creates and returns a deep copy of this DatePickerSettings instance.
`DatePickerSettings`
CalendarPanel.`getSettings()`
getSettings, This returns the calendar panel settings instance.
`DatePickerSettings`
DatePicker.`getSettings()`
getSettings, This returns the date picker settings instance.
Methods in com.github.lgooddatepicker.components with parameters of type DatePickerSettings
Modifier and Type
Method
Description
`void`
CalendarPanel.`setSettings(DatePickerSettings datePickerSettings)`
setSettings, This will set the settings instance for this calendar panel.
`void`
DatePicker.`setSettings(DatePickerSettings settings)`
setSettings, This will set the settings instance for this date picker.
Constructors in com.github.lgooddatepicker.components with parameters of type DatePickerSettings
Modifier
Constructor
Description
``
`CalendarPanel(DatePickerSettings settings)`
Constructor, Independent CalendarPanel with supplied settings.
``
`DatePicker(DatePickerSettings settings)`
Constructor with Custom Settings, Create a date picker instance using the supplied date picker settings.
``
`DateTimePicker(DatePickerSettings datePickerSettingsOrNull, TimePickerSettings timePickerSettingsOrNull)`
Constructor with custom settings.

## Uses of DatePickerSettings in com.github.lgooddatepicker.tableeditors

Methods in com.github.lgooddatepicker.tableeditors that return DatePickerSettings
Modifier and Type
Method
Description
`DatePickerSettings`
DateTableEditor.`getDatePickerSettings()`
getDatePicker, Returns the DatePickerSettings for the DatePicker being used by this class.
`DatePickerSettings`
DateTimeTableEditor.`getDatePickerSettings()`
getDatePickerSettings, Returns the DatePicker settings for the DateTimePicker used by this class.